org.eclipse.ease.ui.view

## Interface IShellDropin

All Known Implementing Classes:
  ModuleStackDropin, VariablesDropin

    public interface IShellDropin

Interface for shell drop-ins. A shell drop-in is a composite adding additional features to the script shell view. It resides in a sidebar of the shell and is connected to the current script engine.

### Method Summary

All Methods Instance Methods Abstract Methods
`Composite` `createPartControl(IWorkbenchPartSite site, Composite parent)` Create the drop-in visual components.
`java.lang.String` `getTitle()` Get this drop-in title.
`void` `setScriptEngine(IScriptEngine engine)` Sets the script engine for this drop-in.

### Method Detail

#### setScriptEngine

    void setScriptEngine(IScriptEngine engine)

Sets the script engine for this drop-in. If the engine is changed during runtime, this method gets called another time. For all other scripting events this drop-in should register a listener on the script engine.

Parameters:
  `engine` - script engine used in shell view

#### createPartControl

    Composite createPartControl(IWorkbenchPartSite site,
                                Composite parent)

Create the drop-in visual components.

Parameters:
  `site` - workbench part site this drop-in is registered to
  `parent` - parent container to render in
Returns:
  composite created within parent container (may not be `null`)

#### getTitle

    java.lang.String getTitle()

Get this drop-in title. The title is used to populate a tabitem.

Returns:
  drop-in title